Index: locales/_pot/main.pot
===================================================================
--- locales/_pot/main.pot	(revision 2355)
+++ locales/_pot/main.pot	(revision 2356)
@@ -8,5 +8,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-14 07:20+0200\n"
+"POT-Creation-Date: 2013-10-14 13:18+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -4151,17 +4151,17 @@
 
 #: inc/core/_fake_l10n.php:4
-msgid "moyenne"
+msgid "medium"
 msgstr ""
 
 #: inc/core/_fake_l10n.php:5
-msgid "petite"
+msgid "small"
 msgstr ""
 
 #: inc/core/_fake_l10n.php:6
-msgid "vignettes"
+msgid "thumbnail"
 msgstr ""
 
 #: inc/core/_fake_l10n.php:7
-msgid "carrée"
+msgid "square"
 msgstr ""
 
Index: locales/_pot/plugins.pot
===================================================================
--- locales/_pot/plugins.pot	(revision 2355)
+++ locales/_pot/plugins.pot	(revision 2356)
@@ -8,5 +8,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-14 07:20+0200\n"
+"POT-Creation-Date: 2013-10-14 13:18+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
Index: locales/en/main.po
===================================================================
--- locales/en/main.po	(revision 2355)
+++ locales/en/main.po	(revision 2356)
@@ -8,5 +8,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-14 07:19+0200\n"
+"POT-Creation-Date: 2013-10-14 13:18+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -3038,14 +3038,14 @@
 msgstr ""
 
-msgid "moyenne"
-msgstr ""
-
-msgid "petite"
-msgstr ""
-
-msgid "vignettes"
-msgstr ""
-
-msgid "carrée"
+msgid "medium"
+msgstr ""
+
+msgid "small"
+msgstr ""
+
+msgid "thumbnail"
+msgstr ""
+
+msgid "square"
 msgstr ""
 
Index: locales/en/plugins.po
===================================================================
--- locales/en/plugins.po	(revision 2355)
+++ locales/en/plugins.po	(revision 2356)
@@ -8,5 +8,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-14 07:19+0200\n"
+"POT-Creation-Date: 2013-10-14 13:18+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 2355)
+++ locales/fr/main.po	(revision 2356)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-14 07:20+0200\n"
+"POT-Creation-Date: 2013-10-14 13:18+0200\n"
 "PO-Revision-Date: 2012-08-13 07:13+0000\n"
 "Last-Translator: xave <xave@dotclear.net>\n"
@@ -38,5 +38,5 @@
 #, php-format
 msgid "The e-mail was sent successfully to %s."
-msgstr "Message envoyé avec succès à %s."
+msgstr "Le message a été envoyé à %s."
 
 msgid "Your new password"
@@ -126,5 +126,5 @@
 #, php-format
 msgid "Blog \"%s\" successfully created"
-msgstr "Blog \"%s\" créé avec succès."
+msgstr "Le blog \"%s\" a été créé."
 
 msgid "New blog"
@@ -169,5 +169,5 @@
 #, php-format
 msgid "Blog \"%s\" successfully deleted"
-msgstr "Blog \"%s\" supprimé avec succès."
+msgstr "Le blog \"%s\" a été supprimé."
 
 msgid "Delete a blog"
@@ -215,11 +215,11 @@
 
 msgid "H4"
-msgstr ""
+msgstr "H4"
 
 msgid "H3"
-msgstr ""
+msgstr "H3"
 
 msgid "P"
-msgstr ""
+msgstr "P"
 
 msgid "(none)"
@@ -269,5 +269,5 @@
 
 msgid "Blog has been successfully updated."
-msgstr "Blog mis à jour avec succès."
+msgstr "Le blog a été mis à jour."
 
 msgid "Blog settings"
@@ -281,5 +281,5 @@
 
 msgid "Blog has been successfully created."
-msgstr "Blog créé avec succès."
+msgstr "Le blog a été créé."
 
 msgid "Parameters"
@@ -512,5 +512,5 @@
 msgid_plural "There are %s themes to update available from repository."
 msgstr[0] "Il y a un thème à mettre à jour depuis le dépôt."
-msgstr[1] "Il y a %s thème à mettre à jour depuis le dépôt."
+msgstr[1] "Il y a %s thèmes à mettre à jour depuis le dépôt."
 
 #, php-format
@@ -570,5 +570,5 @@
 
 msgid "Blog has been successfully deleted."
-msgstr "Blog supprimé avec succès."
+msgstr "Le blog a été supprimé."
 
 msgid "Create a new blog"
@@ -613,5 +613,5 @@
 msgid_plural "%d blogs match the filter."
 msgstr[0] "%d blog correspondant au filtre"
-msgstr[1] "%d blogs correspondant au filtre"
+msgstr[1] "%d blogs correspondants au filtre"
 
 msgid "Blogs list"
@@ -643,5 +643,5 @@
 #, php-format
 msgid "The category \"%s\" has been successfully deleted."
-msgstr "Catégorie \"%s\" créée avec succès."
+msgstr "La catégorie \"%s\" a été créée."
 
 msgid "Category where to move posts does not exist"
@@ -650,11 +650,11 @@
 #, php-format
 msgid "The entries have been successfully moved to category \"%s\""
-msgstr "Les billets ont été déplacés dans la catégorie \"%s\" avec succès."
+msgstr "Les billets ont été déplacés dans la catégorie \"%s\"."
 
 msgid "Categories have been successfully reordered."
-msgstr "Catégories réordonnées avec succès."
+msgstr "Les catégories ont été réordonnées."
 
 msgid "Categories order has been successfully reset."
-msgstr "Catégories réordonnées par défaut avec succès."
+msgstr "Les catégories ont été réordonnées par défaut."
 
 msgid "Categories"
@@ -663,9 +663,9 @@
 msgid "The category has been successfully removed."
 msgid_plural "The categories have been successfully removed."
-msgstr[0] "Catégorie déplacée avec succès."
-msgstr[1] "Catégories déplacées avec succès."
+msgstr[0] "La catégorie a été déplacée."
+msgstr[1] "Les catégories ont été déplacées."
 
 msgid "Entries have been successfully moved to the category you choose."
-msgstr "Les billets ont été déplacés dans la catégorie choisie avec succès."
+msgstr "Les billets ont été déplacés dans la catégorie choisie."
 
 msgid "New category"
@@ -713,15 +713,15 @@
 
 msgid "The category has been successfully moved"
-msgstr "Catégorie déplacée avec succès."
+msgstr "La catégorie a été déplacée."
 
 msgid "The category has been successfully updated."
-msgstr "Catégorie mise à jour avec succès."
+msgstr "La catégorie a été mise à jour."
 
 #, php-format
 msgid "The category \"%s\" has been successfully created."
-msgstr "Catégorie \"%s\" créée avec succès."
+msgstr "La catégorie \"%s\" a été créée."
 
 msgid "Category has been successfully updated."
-msgstr "Catégorie mise à jour avec succès."
+msgstr "La catégorie a été mise à jour."
 
 msgid "Category information"
@@ -765,5 +765,5 @@
 
 msgid "Comment has been successfully created."
-msgstr "Commentaire créé avec succès."
+msgstr "Le commentaire a été créé."
 
 msgid "No comment"
@@ -771,8 +771,8 @@
 
 msgid "Comment has been successfully updated."
-msgstr "Commentaire mis à jour avec succès."
+msgstr "Le commentaire a été mis à jour."
 
 msgid "Comment has been successfully deleted."
-msgstr "Commentaire effacé avec succès."
+msgstr "Le commentaire a été effacé."
 
 msgid "You can't edit this comment."
@@ -848,11 +848,11 @@
 
 msgid "Selected comments have been successfully updated."
-msgstr "Les entrées sélectionnées ont été modifiées avec succès."
+msgstr "Les entrées sélectionnées ont été modifiées."
 
 msgid "Selected comments have been successfully deleted."
-msgstr "Les commentaires sélectionnés ont été supprimés avec succès."
+msgstr "Les commentaires sélectionnés ont été supprimés."
 
 msgid "Spam comments have been successfully deleted."
-msgstr "Les commentaires indésirables ont été supprimés avec succès."
+msgstr "Les commentaires indésirables ont été supprimés."
 
 msgid "You have one spam comment."
@@ -1103,5 +1103,5 @@
 
 msgid "Configuration file has been successfully created."
-msgstr "Le fichier de configuration a été créé avec succès."
+msgstr "Le fichier de configuration a été créé."
 
 msgid "User information"
@@ -1124,5 +1124,5 @@
 
 msgid "Dotclear has been successfully installed. Here is some useful information you should keep."
-msgstr "Dotclear a été installé avec succès. Conservez les informations suivantes précieusement."
+msgstr "Dotclear est installé. Conservez les informations suivantes précieusement."
 
 msgid "Your account"
@@ -1223,5 +1223,5 @@
 
 msgid "Language has been successfully deleted."
-msgstr "Langue supprimée avec succès."
+msgstr "La langue a été supprimée."
 
 msgid "Invalid language file URL."
@@ -1229,8 +1229,8 @@
 
 msgid "Language has been successfully upgraded"
-msgstr "Langue mise à jour avec succès."
+msgstr "La langue a été mise à jour."
 
 msgid "Language has been successfully installed."
-msgstr "Langue installée avec succès."
+msgstr "La langue a été installée."
 
 msgid "Unable to move uploaded file."
@@ -1314,21 +1314,21 @@
 #, php-format
 msgid "Directory \"%s\" has been successfully created."
-msgstr "Répertoire \"%s\" créé avec succès."
+msgstr "Le répertoire \"%s\" a été créé."
 
 msgid "Files have been successfully uploaded."
-msgstr "Fichier chargé avec succès."
+msgstr "Le fichier a été chargé."
 
 #, php-format
 msgid "Successfully delete one media."
 msgid_plural "Successfully delete %d medias."
-msgstr[0] "Suppression d'un média avec succès."
-msgstr[1] "Suppression de %d médias avec succès."
+msgstr[0] "Suppression d'un média effectuée."
+msgstr[1] "Suppression de %d médias effectuée."
 
 msgid "File has been successfully removed."
-msgstr "Fichier supprimé avec succès."
+msgstr "Le fichier a été supprimé."
 
 #, php-format
 msgid "Directory \"%s\" has been successfully rebuilt."
-msgstr "Répertoire \"%s\" reconstruit avec succès."
+msgstr "Le répertoire \"%s\" a été reconstruit."
 
 msgid "Media manager"
@@ -1352,14 +1352,14 @@
 
 msgid "Directory has been successfully created."
-msgstr "Répertoire créé avec succès."
+msgstr "Le répertoire a été créé."
 
 msgid "Directory has been successfully removed."
-msgstr "Répertoire supprimé avec succès."
+msgstr "Le répertoire a été supprimé."
 
 msgid "Directory has been successfully rebuilt."
-msgstr "Répertoire reconstruit avec succès."
+msgstr "Le répertoire a été reconstruit."
 
 msgid "Zip file has been successfully extracted."
-msgstr "Le fichier zip a été extrait avec succès."
+msgstr "Le fichier zip a été extrait."
 
 #, php-format
@@ -1457,11 +1457,11 @@
 
 msgid "File has been successfully updated."
-msgstr "Fichier mis à jour avec succès."
+msgstr "Le fichier a été mis à jour."
 
 msgid "Thumbnails have been successfully updated."
-msgstr "Les miniatures mises à jour avec succès."
+msgstr "Les miniatures ont été mises à jour."
 
 msgid "Default media insertion settings have been successfully updated."
-msgstr "Les paramètres par défaut d'insertion des médias ont été mis à jour avec succès."
+msgstr "Les paramètres par défaut d'insertion des médias ont été mis à jour."
 
 msgid "Are you sure to delete this media?"
@@ -1725,5 +1725,5 @@
 
 msgid "Entry has been successfully created."
-msgstr "Billet créé avec succès."
+msgstr "Le billet a été créé."
 
 msgid "Published"
@@ -1747,11 +1747,11 @@
 
 msgid "Entry has been successfully updated."
-msgstr "Billet mis à jour avec succès."
+msgstr "Le billet a été mis à jour."
 
 msgid "File has been successfully attached."
-msgstr "Fichier attaché avec succès."
+msgstr "Le fichier a été attaché."
 
 msgid "Attachment has been successfully removed."
-msgstr "Annexe retirée avec succès."
+msgstr "L'annexe a été retirée."
 
 msgid "Don't forget to validate your XHTML conversion by saving your post."
@@ -1915,8 +1915,8 @@
 
 msgid "Selected entries have been successfully updated."
-msgstr "Les entrées sélectionnées ont été modifiées avec succès."
+msgstr "Les entrées sélectionnées ont été modifiées."
 
 msgid "Selected entries have been successfully deleted."
-msgstr "Les entrées sélectionnées ont été supprimées avec succès."
+msgstr "Les entrées sélectionnées ont été supprimées."
 
 msgid "Selected:"
@@ -1945,11 +1945,11 @@
 
 msgid "Personal information has been successfully updated."
-msgstr "Informations personnelles mises à jour avec succès."
+msgstr "Vos informations personnelles ont été enregistrées."
 
 msgid "Personal options has been successfully updated."
-msgstr "Vos options personnelles ont été enregistrées avec succès."
+msgstr "Vos options personnelles ont été enregistrées."
 
 msgid "Dashboard options has been successfully updated."
-msgstr "Les options du tableau de bord ont été enregistrées avec succès."
+msgstr "Vos options du tableau de bord ont été enregistrées."
 
 msgid "No favorite selected"
@@ -1957,14 +1957,14 @@
 
 msgid "Favorites have been successfully added."
-msgstr "Les favoris ont été ajoutés avec succès."
+msgstr "Les favoris ont été ajoutés."
 
 msgid "Favorites have been successfully removed."
-msgstr "Les favoris ont été retirés avec succès."
+msgstr "Les favoris ont été retirés."
 
 msgid "Favorites have been successfully updated."
-msgstr "Les favoris ont été mis à jour avec succès."
+msgstr "Les favoris ont été mis à jour."
 
 msgid "Default favorites have been successfully updated."
-msgstr "Les favoris par défaut ont été enregistrés avec succès."
+msgstr "Les favoris par défaut ont été enregistrés."
 
 msgid "My profile"
@@ -2157,5 +2157,5 @@
 
 msgid "Manual checking of update done successfully."
-msgstr "Vérification manuelle de mise à jour effectuée avec succès."
+msgstr "La vérification manuelle de mise à jour a été effectuée."
 
 msgid "No newer Dotclear version available."
@@ -2207,5 +2207,5 @@
 
 msgid "User has been successfully updated."
-msgstr "Utilisateur mis à jour avec succès."
+msgstr "L'utilisateur a été mis à jour."
 
 #, php-format
@@ -2214,5 +2214,5 @@
 
 msgid "User has been successfully created."
-msgstr "Utilisateur créé avec succès."
+msgstr "L'utilisateur a été créé."
 
 msgid "User profile"
@@ -2275,8 +2275,8 @@
 
 msgid "User has been successfully removed."
-msgstr "Utilisateur supprimé avec succès."
+msgstr "L'utilisateur a été supprimé."
 
 msgid "The permissions have been successfully updated."
-msgstr "Permissions mises à jour avec succès."
+msgstr "Les permissions ont été mises à jour."
 
 msgid "users per page"
@@ -2293,5 +2293,5 @@
 
 msgid "User has been successfully deleted."
-msgstr "Utilisateur supprimé avec succès."
+msgstr "L'utilisateur a été supprimé."
 
 msgid "Back to user profile"
@@ -2369,30 +2369,30 @@
 msgid "%d entry has been successfully updated to status : \"%s\""
 msgid_plural "%d entries have been successfully updated to status : \"%s\""
-msgstr[0] "%s billet positionné au statut \"%s\" avec succès."
-msgstr[1] "%s billets positionnés au statut \"%s\" avec succès."
+msgstr[0] "%s billet a été positionné au statut \"%s\"."
+msgstr[1] "%s billets ont été positionnés au statut \"%s\"."
 
 #, php-format
 msgid "%d entry has been successfully marked as selected"
 msgid_plural "%d entries have been successfully marked as selected"
-msgstr[0] "%s billet marqué sélectionné avec succès."
-msgstr[1] "%s billets marqués sélectionnés avec succès."
+msgstr[0] "%s billet a été marqué sélectionné."
+msgstr[1] "%s billets ont été marqués sélectionnés."
 
 #, php-format
 msgid "%d entry has been successfully marked as unselected"
 msgid_plural "%d entries have been successfully marked as unselected"
-msgstr[0] "%s billet marqué désélectionné avec succès."
-msgstr[1] "%s billets marqués désélectionnés avec succès."
+msgstr[0] "%s billet a été marqué désélectionné."
+msgstr[1] "%s billets ont été marqués désélectionnés."
 
 #, php-format
 msgid "%d entry has been successfully deleted"
 msgid_plural "%d entries have been successfully deleted"
-msgstr[0] "%s entrée supprimée avec succès."
-msgstr[1] "%s entrées supprimées avec succès."
+msgstr[0] "%s entrée a été supprimée."
+msgstr[1] "%s entrées ont été supprimées."
 
 #, php-format
 msgid "%d entry has been successfully moved to category \"%s\""
 msgid_plural "%d entries have been successfully moved to category \"%s\""
-msgstr[0] "%s billet a été déplacé dans la catégorie \"%s\" avec succès."
-msgstr[1] "%s billets ont été déplacés dans la catégorie \"%s\" avec succès."
+msgstr[0] "%s billet a été déplacé dans la catégorie \"%s\"."
+msgstr[1] "%s billets ont été déplacés dans la catégorie \"%s\"."
 
 msgid "Change category for this selection"
@@ -2408,6 +2408,6 @@
 msgid "%d entry has been successfully set to user \"%s\""
 msgid_plural "%d entries have been successfully set to user \"%s\""
-msgstr[0] "%s billet affecté à l'utilisateur \"%s\" avec succès."
-msgstr[1] "%s billets affectés à l'utilisateur \"%s\" avec succès."
+msgstr[0] "%s billet a été affecté à l'utilisateur \"%s\"."
+msgstr[1] "%s billets ont été affectés à l'utilisateur \"%s\"."
 
 msgid "Change author for this selection"
@@ -2765,5 +2765,5 @@
 
 msgid "File successfully uploaded."
-msgstr "Fichier envoyé avec succès."
+msgstr "Le fichier a été envoyé."
 
 msgid "No file in queue."
@@ -2834,7 +2834,6 @@
 msgstr "plugin de la distribution officielle"
 
-#, fuzzy
 msgid "Configure plugin"
-msgstr "Configurer le plugin \"%s\""
+msgstr "Configurer le plugin"
 
 msgid "No module matches your search."
@@ -2857,5 +2856,5 @@
 
 msgid "Module has been successfully activated."
-msgstr "Ce module a été activé avec succès."
+msgstr "Ce module a été activé."
 
 msgid "You don't have permissions to deactivate this module."
@@ -2863,5 +2862,5 @@
 
 msgid "Module has been successfully deactivated."
-msgstr "Ce module a été désactivé avec succès."
+msgstr "Ce module a été désactivé."
 
 msgid "You don't have permissions to delete this module."
@@ -2869,11 +2868,11 @@
 
 msgid "Module has been successfully deleted."
-msgstr "Ce module a été supprimé avec succès."
+msgstr "Ce module a été supprimé."
 
 msgid "Module has been successfully updated."
-msgstr "Ce module a été mis à jour avec succès."
+msgstr "Ce module a été mis à jour."
 
 msgid "Module has been successfully installed."
-msgstr "Ce module a été installé avec succès."
+msgstr "Ce module a été installé."
 
 msgid "Zip file path:"
@@ -2939,7 +2938,6 @@
 msgstr "Utiliser celui-ci"
 
-#, fuzzy
 msgid "Module has been successfully selected."
-msgstr "Ce module a été supprimé avec succès."
+msgstr "Ce module a été sélectionné."
 
 msgid "First page"
@@ -3053,15 +3051,15 @@
 msgstr "Plugins"
 
-msgid "moyenne"
-msgstr ""
-
-msgid "petite"
-msgstr ""
-
-msgid "vignettes"
-msgstr ""
-
-msgid "carrée"
-msgstr ""
+msgid "medium"
+msgstr "moyenne"
+
+msgid "small"
+msgstr "petite"
+
+msgid "thumbnail"
+msgstr "vignettes"
+
+msgid "square"
+msgstr "carrée"
 
 msgid "Posts"
@@ -3331,8 +3329,8 @@
 
 msgid "Any chance you ping one of my contents? No? Really?"
-msgstr ""
+msgstr "Aucune chance que vous pinguiez un de mes contenus ? Non ? Vraiment ?"
 
 msgid "Sorry but you can not ping this type of content."
-msgstr "Désolé, vous ne pouvez pas pinger ce type de contenu."
+msgstr "Désolé, vous ne pouvez pas pinguer ce type de contenu."
 
 msgid "Oops. Kinda \"not found\" stuff. Please check the target URL twice."
@@ -3340,20 +3338,20 @@
 
 msgid "Sorry, dude. This entry does not accept pingback at the moment."
-msgstr ""
+msgstr "Désolé, cette entrée n'accepte pas les pingback pour le moment."
 
 msgid "Don't repeat yourself, please."
-msgstr ""
+msgstr "Ne vous répêtez pas, s'il vous plait."
 
 msgid "Your source URL does not look like a supported content type. Sorry. Bye, bye!"
-msgstr ""
+msgstr "Votre URL source ne semble pas être un contenu supporté. Désolé."
 
 msgid "Where's your title?"
-msgstr ""
+msgstr "Où est votre titre ?"
 
 msgid "Sorry, an internal problem has occured."
-msgstr ""
+msgstr "Désolé, une erreur interne est survenue."
 
 msgid "Thanks, mate. It was a pleasure."
-msgstr ""
+msgstr "Merci, c'était un plaisir."
 
 msgid "Digests file not found."
@@ -3402,11 +3400,11 @@
 
 msgid "No valid source URL provided? Try again!"
-msgstr ""
+msgstr "Aucune URL source valide fournie ? Essayez encore !"
 
 msgid "No valid target URL provided? Try again!"
-msgstr ""
+msgstr "Aucune URL destinataire valide fournie ? Essayez encore !"
 
 msgid "LOL!"
-msgstr ""
+msgstr "MDR !"
 
 msgid "SQLite Database Schema cannot be upgraded."
@@ -3564,17 +3562,5 @@
 
 #~ msgid "Theme has been successfully selected."
-#~ msgstr "Ce thème a été selectionné avec succès."
-
-#~ msgid "medium"
-#~ msgstr "moyenne"
-
-#~ msgid "small"
-#~ msgstr "petite"
-
-#~ msgid "thumbnail"
-#~ msgstr "vignettes"
-
-#~ msgid "square"
-#~ msgstr "carrée"
+#~ msgstr "Ce thème a été selectionné."
 
 #~ msgid "Antispam"
@@ -3614,22 +3600,6 @@
 #~ msgstr "Commentaires"
 
-#, fuzzy
-#~ msgid "System info"
-#~ msgstr "Informations système"
-
-#, fuzzy
-#~ msgid "Tidy Administration"
-#~ msgstr "administrateur"
-
-#, fuzzy
-#~ msgid "Categories orders"
-#~ msgstr "Enregistrer l'ordre des catégories"
-
-#, fuzzy
-#~ msgid "Discrete category"
-#~ msgstr "Supprimer la catégorie"
-
 #~ msgid "Current theme has been successfully changed to \"%s\"."
-#~ msgstr "Thème changé avec succès en \"%s\"."
+#~ msgstr "Le thème courant a été changé en \"%s\"."
 
 #~ msgid "You can't remove default theme."
@@ -3640,14 +3610,14 @@
 
 #~ msgid "Theme has been successfully upgraded."
-#~ msgstr "Thème mis à jour avec succès."
+#~ msgstr "Le thème a été mis à jour."
 
 #~ msgid "Theme has been successfully changed."
-#~ msgstr "Thème changé avec succès."
+#~ msgstr "Le thème a été changé."
 
 #~ msgid "Theme has been successfully upgraded"
-#~ msgstr "Thème mis à jour avec succès."
+#~ msgstr "Le thème a été mis à jour."
 
 #~ msgid "Theme has been successfully deleted."
-#~ msgstr "Thème supprimé avec succès."
+#~ msgstr "Le thème a été supprimé."
 
 #~ msgid "Themes"
@@ -3694,11 +3664,11 @@
 
 #~ msgid "Plugin has been successfully deleted."
-#~ msgstr "Plugin supprimé avec succès."
+#~ msgstr "Le plugin a été supprimé."
 
 #~ msgid "Plugin has been successfully upgraded"
-#~ msgstr "Plugin mis à jour avec succès."
+#~ msgstr "Le plugin a été mis à jour."
 
 #~ msgid "Plugin has been successfully installed."
-#~ msgstr "Plugin installé avec succès."
+#~ msgstr "Le plugin a été installé."
 
 #~ msgid "Plugins add new functionalities to Dotclear. Here you can activate or deactivate installed plugins."
@@ -3844,5 +3814,5 @@
 
 #~ msgid "The categories have been successfully removed."
-#~ msgstr "Les catégories ont été supprimées avec succès."
+#~ msgstr "Les catégories ont été supprimées."
 
 #~ msgid "more information"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 2355)
+++ locales/fr/plugins.po	(revision 2356)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-14 07:20+0200\n"
+"POT-Creation-Date: 2013-10-14 13:18+0200\n"
 "PO-Revision-Date: 2012-11-06 10:04+0100\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -116,5 +116,5 @@
 
 msgid "Configuration successfully updated"
-msgstr "La configuration a été mise à jour avec succès"
+msgstr "La configuration a été mise à jour"
 
 msgid "no"
@@ -151,5 +151,5 @@
 
 msgid "Filter configuration have been successfully saved."
-msgstr "La configuration du filtre a été enregistrée avec succès."
+msgstr "La configuration du filtre a été enregistrée."
 
 msgid "Akismet API key:"
@@ -193,8 +193,8 @@
 
 msgid "IP address has been successfully added."
-msgstr "L'adresse IP a été ajoutée avec succès."
+msgstr "L'adresse IP a été ajoutée."
 
 msgid "IP addresses have been successfully removed."
-msgstr "L'adresse IP a été retirée avec succès."
+msgstr "L'adresse IP a été retirée."
 
 msgid "Blacklist"
@@ -233,5 +233,5 @@
 
 msgid "The list of DNSBL servers has been succesfully updated."
-msgstr "La liste des serveurs DNSBL a été mise à jour avec succès"
+msgstr "La liste des serveurs DNSBL a été mise à jour."
 
 msgid "IP Lookup servers"
@@ -252,11 +252,11 @@
 
 msgid "Words have been successfully added."
-msgstr "Les mots ont été ajoutés avec succès."
+msgstr "Les mots ont été ajoutés."
 
 msgid "Word has been successfully added."
-msgstr "Le mot a été ajouté avec succès."
+msgstr "Le mot a été ajouté."
 
 msgid "Words have been successfully removed."
-msgstr "Les mots ont été retirés avec succès."
+msgstr "Les mots ont été retirés."
 
 msgid "Add a word "
@@ -324,5 +324,5 @@
 
 msgid "Filters configuration has been successfully saved."
-msgstr "La configuration des filtres a été enregistrée avec succès."
+msgstr "La configuration des filtres a été enregistrée."
 
 #, php-format
@@ -438,8 +438,8 @@
 
 msgid "Link has been successfully updated"
-msgstr "Le lien a été mis à jour avec succès"
+msgstr "Le lien a été mis à jour."
 
 msgid "Category has been successfully updated"
-msgstr "La catégorie a été mise à jour avec succès"
+msgstr "La catégorie a été mise à jour."
 
 msgid "Return to blogroll"
@@ -534,5 +534,5 @@
 
 msgid "links have been successfully imported."
-msgstr "Les liens ont été importés avec succès."
+msgstr "Les liens ont été importés."
 
 msgid "Import operation cancelled."
@@ -540,14 +540,14 @@
 
 msgid "Link has been successfully created."
-msgstr "Le lien a été créé avec succès."
+msgstr "Le lien a été créé."
 
 msgid "category has been successfully created."
-msgstr "La catégorie a été créée avec succès."
+msgstr "La catégorie a été créée."
 
 msgid "Items have been successfully removed."
-msgstr "Les éléments ont été retirés avec succès."
+msgstr "Les éléments ont été retirés."
 
 msgid "Items order has been successfully updated"
-msgstr "L'ordre des éléments a été mis à jour avec succès"
+msgstr "L'ordre des éléments a été mis à jour."
 
 msgid "URL"
@@ -600,5 +600,5 @@
 
 msgid "Theme configuration has been successfully updated."
-msgstr "La configuration du thème a été enregistrée avec succès."
+msgstr "La configuration du thème a été enregistrée."
 
 msgid "Blowup configuration"
@@ -879,5 +879,5 @@
 
 msgid "Your blog has been successfully imported. Welcome on Dotclear 2!"
-msgstr "Votre blog a été importé avec succès. Bienvenue sur Dotclear 2 !"
+msgstr "Votre blog a été importé. Bienvenue sur Dotclear 2 !"
 
 msgid "Why don't you blog this now?"
@@ -963,5 +963,5 @@
 
 msgid "Content successfully imported."
-msgstr "Le contenu a été importé avec succès."
+msgstr "Le contenu a été importé."
 
 #, php-format
@@ -979,5 +979,5 @@
 
 msgid "Single blog successfully imported."
-msgstr "Blog importé avec succès."
+msgstr "Le blog a été importé."
 
 msgid "Are you sure you want to import a full backup file?"
@@ -1177,5 +1177,5 @@
 
 msgid "Maintenance plugin has been successfully configured."
-msgstr "Le plugin de maintenance a été configuré avec succès"
+msgstr "La configuration du plugin de maintenance a été enregistrée."
 
 msgid "Set up reminders for maintenance tasks."
@@ -1208,5 +1208,5 @@
 
 msgid "Task successfully executed."
-msgstr "La tâche a été exécutée avec succès."
+msgstr "La tâche a été exécutée."
 
 msgid "Empty templates cache directory"
@@ -1310,5 +1310,5 @@
 
 msgid "Optimization successful."
-msgstr "Optimisation terminée avec succès."
+msgstr "L'optimisation a été effectuée."
 
 msgid "Failed to optimize tables."
@@ -1334,5 +1334,5 @@
 
 msgid "Settings successfully updated"
-msgstr "Les réglages ont été mis à jour avec succès"
+msgstr "Les réglages ont été mis à jour."
 
 msgid "You should execute it now."
@@ -1390,5 +1390,5 @@
 
 msgid "Selected pages have been successfully reordered."
-msgstr "Les pages sélectionnées ont été réordonnées avec succès."
+msgstr "Les pages sélectionnées ont été réordonnées."
 
 msgid "No page"
@@ -1405,8 +1405,8 @@
 
 msgid "Selected pages have been successfully updated."
-msgstr "Les pages sélectionnées ont été modifiées avec succès."
+msgstr "Les pages sélectionnées ont été modifiées."
 
 msgid "Selected pages have been successfully deleted."
-msgstr "Les pages sélectionnées ont été supprimées avec succès."
+msgstr "Les pages sélectionnées ont été supprimées."
 
 msgid "Selected pages action:"
@@ -1432,8 +1432,8 @@
 
 msgid "Page has been successfully updated."
-msgstr "La page a été modifiée avec succès."
+msgstr "La page a été modifiée."
 
 msgid "Page has been successfully created."
-msgstr "La page a été créée avec succès."
+msgstr "La page a été créée."
 
 msgid "Go to this page on the site"
@@ -1462,5 +1462,5 @@
 
 msgid "Settings have been successfully updated."
-msgstr "Les réglages ont été modifiés avec succès."
+msgstr "Les réglages ont été enregistrés."
 
 msgid "Pings configuration"
@@ -1534,5 +1534,5 @@
 
 msgid "Menu item has been successfully added."
-msgstr "L'item de menu a été ajouté avec succès."
+msgstr "L'item de menu a été ajouté."
 
 msgid "Label and URL of menu item are mandatory."
@@ -1540,5 +1540,5 @@
 
 msgid "Menu items have been successfully removed."
-msgstr "Le ou les items de menu ont été supprimés avec succès."
+msgstr "Le ou les items de menu ont été supprimés."
 
 msgid "No menu items selected."
@@ -1552,5 +1552,5 @@
 
 msgid "Menu items have been successfully updated."
-msgstr "Le ou les items de menu ont été mis à jour avec succès."
+msgstr "Le ou les items de menu ont été mis à jour."
 
 msgid "Step #1"
@@ -1628,6 +1628,6 @@
 msgid "Tag has been successfully added to selected entries"
 msgid_plural "Tags have been successfully added to selected entries"
-msgstr[0] "Le mot-clé a été ajouté avec succès des entrées sélectionnées"
-msgstr[1] "Les mot-clés ont été ajoutés avec succès des entrées sélectionnées"
+msgstr[0] "Le mot-clé a été ajouté aux entrées sélectionnées"
+msgstr[1] "Les mot-clés ont été ajoutés aux entrées sélectionnées"
 
 msgid "Add tags to this selection"
@@ -1665,6 +1665,6 @@
 msgid "Tag has been successfully removed from selected entries"
 msgid_plural "Tags have been successfully removed from selected entries"
-msgstr[0] "Le mot-clé a été retiré avec succès des entrées sélectionnées"
-msgstr[1] "Les mot-clés ont été retirés avec succès des entrées sélectionnées"
+msgstr[0] "Le mot-clé a été retiré des entrées sélectionnées"
+msgstr[1] "Les mot-clés ont été retirés des entrées sélectionnées"
 
 msgid "No tags for selected entries"
@@ -1708,8 +1708,8 @@
 
 msgid "Tag has been successfully renamed"
-msgstr "Le mot-clé a été renommé avec succès"
+msgstr "Le mot-clé a été renommé."
 
 msgid "Tag has been successfully removed"
-msgstr "Le mot-clé a été retiré avec succès"
+msgstr "Le mot-clé a été retiré."
 
 #, php-format
@@ -1795,5 +1795,5 @@
 
 msgid "Preferences successfully updated"
-msgstr "Préférences mises à jour avec succès"
+msgstr "Les préférences ont été mises à jour."
 
 msgid "user:preferences"
@@ -2019,5 +2019,5 @@
 
 #~ msgid "The theme has been successfully installed."
-#~ msgstr "Le thème a été installé avec succès."
+#~ msgstr "Le thème a été installé."
 
 #~ msgid "Following plugins have not been updated:"
@@ -2055,5 +2055,5 @@
 
 #~ msgid "Settings definition successfully updated"
-#~ msgstr "Les réglages ont été enregistrés avec succès"
+#~ msgstr "Les réglages ont été enregistrés."
 
 #~ msgid "By"
@@ -2064,5 +2064,5 @@
 
 #~ msgid "Preferences definition successfully updated"
-#~ msgstr "Définition des préférences mise à jour avec succès"
+#~ msgstr "La définition des préférences a été enregistrée."
 
 #~ msgid "Use different periods for each task"