Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 1595)
+++ admin/categories.php	(revision 1599)
@@ -183,17 +183,16 @@
 	'</p>'.
 	'<p class="right">'.
-	'<input type="submit" name="delete" value="'.__('Delete selected categories').'"/>'.
+	'<input type="submit" class="delete" name="delete" value="'.__('Delete selected categories').'"/>'.
 	'</p>'.
 	'</div>';
 
-	echo '<h3 class="clear">'.__('Categories order').'</h3>';
+	echo '<h3 class="clear hidden-if-no-js">'.__('Categories order').'</h3>';
 
 	if ($core->auth->check('categories',$core->blog->id) && $rs->count()>1) {
 		if (!$core->auth->user_prefs->accessibility->nodragdrop) {
-			echo '<p class="no-js-hidden">'.__('To rearrange categories order, move items by drag and drop, then click on “Save categories order” button.').'</p>';
+			echo '<p class="hidden-if-no-js">'.__('To rearrange categories order, move items by drag and drop, then click on “Save categories order” button.').'</p>';
 		}
 		echo
-		'<p class="dragdrop-hidden">'.__('To rearrange categories order, change position number and click on “Save categories order” button.').'</p>'.
-		'<p>'.
+		'<p class="hidden-if-no-js">'.
 		'<input type="hidden" id="categories_order" name="categories_order" value=""/>'.
 		'<input type="submit" name="save_order" id="save-set-order" value="'.__('Save categories order').'" />'.
@@ -202,5 +201,7 @@
 
 	echo
-	'<p><input type="submit" name="reset" value="'.__('Reorder all categories on the top level').'" />'.
+	'<p class="hidden-if-js right"><input type="submit" name="reset" value="'.__('Reorder all categories on the top level and delete selected categories').'" />'.
+	$core->formNonce().'</p>'.
+	'<p class="hidden-if-no-js"><input type="submit" name="reset" value="'.__('Reorder all categories on the top level').'" />'.
 	$core->formNonce().'</p>'.
 	'</form>';
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1594)
+++ admin/style/default.css	(revision 1599)
@@ -113,14 +113,4 @@
 abbr {
 	cursor: help;
-}
-
-.no-js .js-hidden {
-        display: block;
-}
-.no-js .no-js-hidden {
-        display: none;
-}
-.js-hidden {
-        display: none;
 }
 
@@ -1187,15 +1177,5 @@
 	vertical-align: middle;
 }
-/* Si quelque chose a besoin d'être caché sauf pour les revues d'écran */
-.hidden {
-    position: absolute !important;
-    clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
-    clip: rect(1px, 1px, 1px, 1px);
-    padding: 0 !important;
-    border: 0 !important;
-    height: 1px !important;
-    width: 1px !important;
-    overflow: hidden;
-    }
+
 .clear {
 	clear: both;
@@ -1207,7 +1187,4 @@
 	height: 1px;
 	font-size: 1px;
-}
-.hide {
-	display: none;
 }
 .right {
@@ -1251,4 +1228,5 @@
 	margin-top: -1em;
 }
+
 /* TABLES
 -------------------------------------------------------- */
@@ -1622,12 +1600,12 @@
 }
 .button.add {
-	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #9dce2c), color-stop(1, #8cb82b) );
-	background:-moz-linear-gradient( center top, #9dce2c 5%, #8cb82b 100% );
-	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#9dce2c', endColorstr='#8cb82b');
-	background-color:#9dce2c;
-	border:1px solid #83c41a;
+	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #BBDB58), color-stop(1, #9AC123) );
+	background:-moz-linear-gradient( center top, #BBDB58 5%, #9AC123 100% );
+	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#BBDB58', endColorstr='#9AC123');
+	background-color:#BBDB58;
+	border:1px solid #B2D742;
 	padding:.5em 1.5em;
 	color: #000;
-	text-shadow: 1px 1px 0 #BBDB58;
+	text-shadow:1px 1px 0px #98cf40;
 	font-weight: normal;
 	font-size: 14px; /* ie < 9 sucks */
@@ -1635,9 +1613,8 @@
 }
 .button.add:hover, .button.add:active, .button.add:focus {
-	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #8cb82b), color-stop(1, #9dce2c) );
-	background:-moz-linear-gradient( center top, #8cb82b 5%, #9dce2c 100% );
-	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#8cb82b', endColorstr='#9dce2c');
-	background-color:#8cb82b;
-	border:1px solid #83c41a;
+	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #9AC123), color-stop(1, #BBDB58) );
+	background:-moz-linear-gradient( center top, #9AC123 5%, #BBDB58 100% );
+	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#9AC123', endColorstr='#BBDB58');
+	background-color:#9AC123;
 }
 .button-add:focus {
@@ -1787,4 +1764,32 @@
 	background: #0c0;
 	width: 150px;
+}
+/* ------------------------------------------------------------- cachotteries */
+/* caché pour tout le monde */
+.hide {
+	display: none;
+}
+/* Caché sauf pour les revues d'écran */
+.hidden {
+    position: absolute !important;
+    clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
+    clip: rect(1px, 1px, 1px, 1px);
+    padding: 0 !important;
+    border: 0 !important;
+    height: 1px !important;
+    width: 1px !important;
+    overflow: hidden;
+    }
+/* caché si js est inactif */
+.no-js .hidden-if-no-js {
+        display: none;
+}
+/* montré si js est inactif */
+.no-js .hidden-if-js {
+	display: block;
+}
+/* caché si js est actif */
+.hidden-if-js {
+        display: none;
 }
 