Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 536)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 270)
@@ -123,7 +123,8 @@
 		'<div class="multi-part" id="tab_'.$type.'" title="'.$title.'">'.
 
-		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
+		'<form action="'.html::escapeURL($url).'" method="post">'.
+		'<fieldset><legend>'.__('Add an IP address').'</legend><p>'.
 		form::hidden(array('ip_type'),$type).
-		'<label class="classic" for="addip_'.$type.'">'.__('Add an IP address: ').' '.
+		'<label class="classic" for="addip_'.$type.'">'.__('Add an IP address').' '.
 		form::field(array('addip', 'addip_'.$type),18,255).
 		'</label>';
@@ -135,7 +136,6 @@
 		$res .=
 		$core->formNonce().
-		'</p>'.
-		'<p><input type="submit" value="'.__('Add').'"/></p>'.
-		'</form>';
+		'<input type="submit" value="'.__('Add').'"/></p>'.
+		'</fieldset></form>';
 
 		$rs = $this->getRules($type);
@@ -149,5 +149,5 @@
 			$res .=
 			'<form action="'.html::escapeURL($url).'" method="post">'.
-			'<h3>' . __('IP list') . '</h3>'.
+			'<fieldset><legend>' . __('IP list') . '</legend>'.
 			'<div style="'.$this->style_list.'">';
 
@@ -178,5 +178,5 @@
 			form::hidden(array('ip_type'),$type).
 			'</p>'.
-			'</form>';
+			'</fieldset></form>';
 		}
 
Index: plugins/antispam/filters/class.dc.filter.iplookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 536)
+++ plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 270)
@@ -86,6 +86,5 @@
 		'<p><label for="bls">'.__('Add here a coma separated list of servers.').
 		form::textarea('bls',40,3,html::escapeHTML($bls),'maximal').
-		'</p>'.
-		'<p><input type="submit" value="'.__('Save').'" /></label></p>'.
+		'<input type="submit" value="'.__('Save').'" /></label></p>'.
 		$this->core->formNonce().'</p>'.
 		'</fieldset>'.
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 536)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 270)
@@ -119,6 +119,7 @@
 
 		$res .=
-		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
-		'<p><label class="classic" for="swa">'.__('Add a word ').' '.form::field('swa',20,128).'</label>';
+		'<form action="'.html::escapeURL($url).'" method="post">'.
+		'<fieldset><legend>'.__('Add a word').'</legend>'.
+		'<p><label class="classic" for="swa">'.__('Add a word').' '.form::field('swa',20,128).'</label>';
 
 		if ($core->auth->isSuperAdmin()) {
@@ -129,6 +130,6 @@
 		$res .=
 		$core->formNonce().
-		'</p>'.
-		'<p><input type="submit" value="'.__('Add').'"/></p>'.
+		'<input type="submit" value="'.__('Add').'"/></p>'.
+		'</fieldset>'.
 		'</form>';
 
@@ -141,6 +142,6 @@
 		{
 			$res .=
-			'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
-			'<h3>' . __('List of bad words') . '</h3>'.
+			'<form action="'.html::escapeURL($url).'" method="post">'.
+			'<fieldset><legend>' . __('List') . '</legend>'.
 			'<div style="'.$this->style_list.'">';
 
@@ -166,5 +167,5 @@
 			$core->formNonce().
 			'<input class="submit delete" type="submit" value="' . __('Delete selected words') . '"/></p>'.
-			'</form>';
+			'</fieldset></form>';
 		}
 
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 565)
+++ plugins/antispam/index.php	(revision 505)
@@ -128,6 +128,6 @@
 
 	echo
-	'<form action="'.$p_url.'" method="post" class="fieldset">'.
-	'<h3>'.__('Information').'</h3>';
+	'<form action="'.$p_url.'" method="post">'.
+	'<fieldset><legend>'.__('Information').'</legend>';
 
 	if (!empty($_GET['del'])) {
@@ -151,14 +151,13 @@
 	}
 	if ($moderationTTL != null && $moderationTTL >=0) {
-		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).' '.
-		__('You can modify this duration in ').
-		'<a href="blog_pref.php"> '.__('Blog preferences').'</a></p>';
-	}
-	echo '</form>';
+		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).'</p>';
+	}
+	echo '</fieldset></form>';
 
 
 	# Filters
 	echo
-	'<form action="'.$p_url.'" method="post" class="fieldset">';
+	'<form action="'.$p_url.'" method="post">'.
+	'<fieldset><legend>'.__('Available spam filters').'</legend>';
 
 	if (!empty($_GET['upd'])) {
@@ -168,5 +167,4 @@
 	echo
 	'<table class="dragable">'.
-	'<caption>'.__('Available spam filters').'</caption>'.
 	'<thead><tr>'.
 	'<th>'.__('Order').'</th>'.
@@ -194,5 +192,5 @@
 		'<td class="nowrap">'.form::checkbox(array('filters_active[]'),$fid,$f->active, '', '', false, 'title="'.__('Active').'"').'</td>'.
 		'<td class="nowrap">'.form::checkbox(array('filters_auto_del[]'),$fid,$f->auto_delete, '', '', false, 'title="'.__('Auto Del.').'"').'</td>'.
-		'<td class="nowrap" scope="raw">'.$f->name.'</td>'.
+		'<td class="nowrap">'.$f->name.'</td>'.
 		'<td class="maximal">'.$f->description.'</td>'.
 		'<td class="status">'.$gui_link.'</td>'.
@@ -205,5 +203,5 @@
 	$core->formNonce().
 	'<input type="submit" name="filters_upd" value="'.__('Save').'" /></p>'.
-	'</form>';
+	'</fieldset></form>';
 
 
@@ -215,9 +213,10 @@
 
 		echo
-		'<h3>'.__('Syndication').'</h3>'.
+		'<fieldset><legend>'.__('Syndication').'</legend>'.
 		'<ul class="spaminfo">'.
 		'<li class="feed"><a href="'.$spam_feed.'">'.__('Junk comments RSS feed').'</a></li>'.
 		'<li class="feed"><a href="'.$ham_feed.'">'.__('Published comments RSS feed').'</a></li>'.
-		'</ul>';
+		'</ul>'.
+		'</fieldset>';
 	}
 }
@@ -226,2 +225,3 @@
 </body>
 </html>
+